Results 1 to 2 of 2

Thread: Criação de layers

  1. #1
    Member
    Join Date
    2007-05
    Location
    São Paulo - Brasil
    Posts
    44
    0 Did you find this post helpful? Yes

    Default Criação de layers

    Pessoal, bom dia!
    Estou com o seguinte problema: através de um comando, preciso criar uma lista de layers no cad. Esta lista é pré definida e não muda, por exemplo:

    -terreno
    -implantação
    -cotas
    -paredes

    Para isto, gostaria de utilizar .net (c# ou vb.net). A lista pode estar inclusa no código ou pode vir externa, tanto faz.

    Sou novato em visual studio. Dei uma olhada no "autocad.net users guide", até testei o código que esta lá: funcionou, mas cria apenas um layer e nao acho eficiente repetir o mesmo código para cada layer que for criar.

    Se alguém souber de outra forma (lisp, por exemplo) também pode ser.

    Obrigado pela atenção!
    Agnaldo Guedes - Sao Paulo - Brasil
    AutoCAD - R12,R14,2002,2006,2008,2010
    Atual: 2012 with Windows 7 64 bits
    AMD Phenon X3 - 4Gb - 500Gb - LCD 22" - Geforce 9400 GT 1Gb RAM

  2. #2
    100 Club
    Join Date
    2012-08
    Posts
    111
    0 Did you find this post helpful? Yes

    Default Re: Criação de layers

    Bom dia, amigo
    Criei um lisp bem simples para te ajudar:
    Após carregado ele no seu AutoCad, funcionará da seguinte forma:
    TER- Cria um layer terreno
    IMP-Cria um layer implantação
    COT-Cria um layer contas
    PAR-Cria um layer parede
    Obs: Se as cores dos layers não forem o padrão que usa é só alterar no programa para o numero da cor que voce desejar.
    Espero ter ajudado. Segue o lisp abaixo:

    Code:
    ;CRIAÇÃO DE LAYERS
    (DEFUN C:ter()(command "layer" "n" "terreno" "c" "8" "terreno" ""))
    (DEFUN C:imp()(command "layer" "n" "implantação" "c" "1" "implantação" ""))
    (DEFUN C:cot()(command "layer" "n" "cotas" "c" "2" "cotas" ""))
    (DEFUN C:par()(command "layer" "n" "paredes" "c" "5" "paredes" ""))

Similar Threads

  1. Criação de Pastas
    By alanferreira.l in forum Português - Customização / Programação
    Replies: 3
    Last Post: 2010-03-09, 06:18 PM
  2. Criação de Report em .NET
    By andreoliveira.geo in forum Português - MapGuide / MapGuide Enterprise / Raster Design
    Replies: 0
    Last Post: 2010-03-03, 08:42 PM
  3. Criação de AEC objectos
    By telmorosado in forum Português - AutoCAD Architecture / AutoCAD MEP
    Replies: 1
    Last Post: 2008-06-06, 08:51 AM
  4. criação de hatch
    By jnholiveira in forum Português - AutoCAD / AutoCAD LT
    Replies: 9
    Last Post: 2008-04-12, 02:22 PM
  5. criação de hatch
    By jnholiveira in forum Português - Customização / Programação
    Replies: 3
    Last Post: 2007-07-27, 03:22 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •